var locwisereportdata = [];
var domSetup = "<'row'<'col-sm-4'f><'col-sm-5'B><'col-sm-3'l>><'row'<'col-sm-12'tr>><'row'<'col-sm-5'i><'col-sm-7'p>>";

// Remove the formatting to get integer data for summation
var intVal = function ( i ) {   
    return typeof i === 'string' ? i.replace(/[\$,]/g, '')*1 : typeof i === 'number' ?  i : 0;
};

$(document).ready(function() {
    fetchReportData();
    appendFooter();
    bindTable();
    bindDropDown();
});

function fetchReportData() {
    if (reportDispData != null) {
        if(reportDispData.dashboardname == "locationwisereport") {
            $.each(reportDispData.reports, function (k, v) {
                (v.reportname == "LocationWiseReport") ? locwisereportdata = v.data : locwisereportdata = [];
            });
        }   
    }
}

function appendFooter() {
    $("#locationwisereportbody").after('<tfoot><tr><td colspan="2" class="text-center"><b>Total</b></td>' + '<td><strong id="footSumOfBudget"></strong></td>' + '<td><strong id="footSumOfActual"></strong></td>' + '<td><strong id="footSumOfOpenPo"></strong></td>' + '<td><strong id="footSumOfOpenPr"></strong></td>' + '<td><strong id="footSumOfAvlbl"></strong></td>' + '</tr>' + '</tfoot>');
}

function bindTable() {
    let columns = [{data: null}, {data: "location", defaultContent: "<i class='text-danger'>Not Available</i>"}, {data: "budget", defaultContent: 0.00}, {data: "actual", defaultContent: 0.00}, {data: "openpo", defaultContent: 0.00}, {data: "openpr", defaultContent: 0.00}, {data: "available", defaultContent: "NA"}];
    
    var table = $('#table_LocationWiseReport').DataTable( {
        "dom": domSetup,
        data : locwisereportdata,
        columns : columns,
        lengthChange: true,
        destroy: true,
        paging: true,
        searching: true,
        buttons: [{extend: 'colvis',text: '<i class="fa fa-eye"></i> Columns',className: 'btn-sm btn-white',columns: ':gt(0)'},{extend: 'copyHtml5', text: '<i class="fa fa-files-o text-primary"></i>', className: 'btn-sm btn-white', titleAttr: 'Copy Report'}, {extend: 'excelHtml5', text: '<i class="fa fa-file-excel-o text-success"></i>', className: 'btn-sm btn-white', titleAttr: 'Download Excel'}, {extend: 'pdfHtml5', text: '<i class="fa fa-file-pdf-o text-danger"></i>', className: 'btn-sm btn-white', titleAttr: 'Download PDF'}],
        columnDefs: [{'targets': 0, 'checkboxes': {'selectRow': true }}],
        footerCallback: function ( row, data, start, end, display ) {
            var api = this.api(), data;
            
            // total_budget over all pages
            let total_budget = api.column(2).data().reduce( function (a, b) {
                if($.isNumeric(a) && $.isNumeric(b)) {
                    return intVal(a) + intVal(b);
                }
            },0);
            total_budget = parseFloat(total_budget);
            $('#footSumOfBudget').html(total_budget.toFixed(2));
            
            // footSumOfActual over all pages
            let footSumOfActual = api.column(3).data().reduce( function (a, b) {
                if($.isNumeric(a) && $.isNumeric(b)) {
                    return intVal(a) + intVal(b);
                }
            },0);
            footSumOfActual = parseFloat(footSumOfActual);
            $('#footSumOfActual').html(footSumOfActual.toFixed(2));
            
            // footSumOfOpenPo over all pages
            let footSumOfOpenPo = api.column(4).data().reduce( function (a, b) {
                if($.isNumeric(a) && $.isNumeric(b)) {
                    return intVal(a) + intVal(b);
                }
            },0);
            footSumOfOpenPo = parseFloat(footSumOfOpenPo);
            $('#footSumOfOpenPo').html(footSumOfOpenPo.toFixed(2));
            
            // footSumOfOpenPr over all pages
            let footSumOfOpenPr = api.column(5).data().reduce( function (a, b) {
                if($.isNumeric(a) && $.isNumeric(b)) {
                    return intVal(a) + intVal(b);
                }
            },0);
            footSumOfOpenPr = parseFloat(footSumOfOpenPr);
            $('#footSumOfOpenPr').html(footSumOfOpenPr.toFixed(2));
			 			
            // footSumOfAvlbl over all pages
            let footSumOfAvlbl = api.column(6).data().reduce( function (a, b) {
                if($.isNumeric(a) && $.isNumeric(b)) {
                    return intVal(a) + intVal(b);
                }
            },0);
            footSumOfAvlbl = parseFloat(footSumOfAvlbl);
            $('#footSumOfAvlbl').html(footSumOfAvlbl.toFixed(2));
        }
    });
    
    // serial number
    table.on( 'order.dt search.dt', function () {
        table.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
            cell.innerHTML = i+1;
        });
    }).draw();
}

function initselect(id,inpdata,value) {
    for(const element of inpdata) {
        if(id=="selectLocation")
            $('#' + id).append('<option value="'+ element['shortname'] +'">'+ element[value] +'</option>');
        else
            $('#' + id).append('<option value="'+ element[value] +'">'+ element[value] +'</option>');   
    }
}

function bindDropDown() {
    for(let i=0;i<reportDispData.reports.length;i++) {
        if(reportDispData.reports[i].reportname=="financial year list") { 
            var dataresp = reportDispData.reports[i].data;
            initselect('selectFinancialYear', dataresp, 'year')
        }
        if(reportDispData.reports[i].reportname=="company list") { 
            var dataresp = reportDispData.reports[i].data;
            initselect('selectLocation', dataresp, 'companyname');
        }
    }   
}