$(document).ready(function() {
    $('#zone').multipleSelect({
        filter: true,
        onClick: function(view) {
            $.ajax({
                type: "GET",
                dataType: "json",
                contentType: "application/json",
                url: "lookup?filterparam=zone&filtervalue=" + $('#zone').multipleSelect('getSelects'),
                success: function(data) {
                    var localdata = data;
                    let statedata = localdata.statedata;
                    let districtdata = localdata.districtdata;
                    let partnerdata = localdata.partnerdata;
                    bindMultipleSelect('state', statedata, 'string27');
                    bindMultipleSelect('selectDistrict', districtdata, 'string28');
                    bindMultipleSelect('partnerOrg', partnerdata, 'string46');
                }
            });
        }
    });
    $('#state').multipleSelect({
        filter: true,
        onClick: function(view) {
            $.ajax({
                type: "GET",
                dataType: "json",
                contentType: "application/json",
                url: "lookup?filterparam=state&filtervalue=" + $('#state').multipleSelect('getSelects'),
                success: function(data) {
                    let districtdata = data.districtdata;
                    let partnerdata = data.partnerdata;
                    bindMultipleSelect('selectDistrict', districtdata, 'string28');
                    bindMultipleSelect('partnerOrg', partnerdata, 'string46');
                }
            });
        }
    });
    $('#selectDistrict').multipleSelect({
        filter: true,

        onClick: function(view) {
            $.ajax({
                type: "GET",
                dataType: "json",
                contentType: "application/json",
                url: "lookup?filterparam=district&filtervalue=" + $('#selectDistrict').multipleSelect('getSelects'),
                success: function(data) {
                    console.log(data);
                    let partnerdata = data.partnerdata;
                    bindMultipleSelect('partnerOrg', partnerdata, 'string46');
                }
            });
        }
    });
    $('#partnerOrg').multipleSelect({
        filter: true
    });
    $('#cpConcern').multipleSelect({
        filter: true
    });
    $('#caseStatus').multipleSelect({
        filter: true
    });
    $('#firstInterventionStatus').multipleSelect({
        filter: true
    });
    $('#categoryOfReason').multipleSelect({
        filter: true
    });
    $('#childAge').multipleSelect({
        filter: true
    });
    $('#childGender').multipleSelect({
        filter: true
    });
    $('#caseintervenedby').multipleSelect({
        filter: true
    });

});

var coulmns7 = [];
for (let i = 0; i < reportDispData.reports.length; i++) {
    if (reportDispData.reports[i].reportname == "Primary CP Concernwise Children Assisted") { //forming data
        var colnames7 = reportDispData.reports[i].reportingcolumns.split(",");
        var elements7 = [colnames7[0], colnames7[1]];
        coulmns7.push(elements7);
        if (reportDispData.reports[i].data != null) {
            for (let j = 0; j < reportDispData.reports[i].data.length; j++) {


                var col71 = reportDispData.reports[i].data[j][coulmns7[0][0]]
                var col72 = reportDispData.reports[i].data[j][coulmns7[0][1]]

                coulmns7.push([col71, col72]);
            }
        }
    }
}
google.charts.load("current", {
    packages: ['corechart']
});
google.charts.setOnLoadCallback(drawChart);

function drawChart() {
    var data7 = google.visualization.arrayToDataTable(coulmns7);

    var view7 = new google.visualization.DataView(data7);
    view7.setColumns([0, 1,
        {
            calc: "stringify",
            sourceColumn: 1,
            type: "string",
            role: "annotation"
        }
    ]);

    var options7 = {
        title: "",
        width: 1080,
        height: 630,
        chartArea: {
            height: 300,
            left: 32,
            top: 40,
            right: 32,
            //width: 990,        
        },
        bar: {
            groupWidth: "55%"
        },
        legend: {
            position: "none",
            alignment: "end",
            color: "#d2f13f",
            textStyle: {
                color: "#999"
            }
        },
        hAxis: {
            //        direction:1,
            slantedText: true,
            slantedTextAngle: 90
        },
        vAxis: {
            title: 'No of Cases'
        }
    };
    var chart7 = new google.visualization.ColumnChart(document.getElementById("cpConcernOne"));
    chart7.draw(view7, options7);
}


var coulmns4 = [];
for (let i = 0; i < reportDispData.reports.length; i++) {
    if (reportDispData.reports[i].reportname == "Family Situation") {
        //forming data
        var colnames4 = reportDispData.reports[i].reportingcolumns.split(",");
        var elements4 = [colnames4[0], colnames4[1]];
        coulmns4.push(elements4);
        if (reportDispData.reports[i].data != null) {
            for (let j = 0; j < reportDispData.reports[i].data.length; j++) {


                var col41 = reportDispData.reports[i].data[j][coulmns4[0][0]]
                var col42 = reportDispData.reports[i].data[j][coulmns4[0][1]]

                coulmns4.push([col41, col42]);
            }
        }
    }
}

google.charts.load("current", {
    packages: ['corechart']
});
google.charts.setOnLoadCallback(drawChart);

function drawChart() {
    var data4 = google.visualization.arrayToDataTable(coulmns4);

    var view4 = new google.visualization.DataView(data4);
    view4.setColumns([0, 1,
        {
            calc: "stringify",
            sourceColumn: 1,
            type: "string",
            role: "annotation"
        }
    ]);

    var options4 = {
        title: "",
        width: 1080,
        height: 620,
        chartArea: {
            height: 300,
            left: 32,
            top: 40,
            width: 990,
        },
        bar: {
            groupWidth: "55%"
        },
        legend: {
            position: "none",
            alignment: "end",
            color: "#d2f13f",
            textStyle: {
                color: "#999"
            }
        },
        hAxis: {
            //        direction:1,
            slantedText: true,
            slantedTextAngle: 90
        },
        vAxis: {
            title: 'No of Cases'
        }
    };
    var chart4 = new google.visualization.ColumnChart(document.getElementById("famSituation"));
    chart4.draw(view4, options4);
}


var coulmns95 = [];
for (let i = 0; i < reportDispData.reports.length; i++) {
    if (reportDispData.reports[i].reportname == "AgeWise Children Assisted") {
        //forming data
        //var colnames4 = reportDispData.reports[i].reportingcolumns.split(",");
        var elements95 = ["Element", "No. of Cases[per age range]"];
        coulmns95.push(elements95);
        if (reportDispData.reports[i].data != null) {
            for (let bc = 0; bc < reportDispData.reports[i].data.length; bc++) {


                var col951 = reportDispData.reports[i].data[bc].string14;
                var col952 = reportDispData.reports[i].data[bc].count;

                coulmns95.push([col951, col952]);
            }
        }
    }
}


google.charts.load("current", {
    packages: ['corechart']
});
google.charts.setOnLoadCallback(drawChart);

function drawChart() {
    var data = google.visualization.arrayToDataTable(coulmns95);
    var view = new google.visualization.DataView(data);
    view.setColumns([0, 1,
        {
            calc: "stringify",
            sourceColumn: 1,
            type: "string",
            role: "annotation"
        }
    ]);


    var options = {
        title: "",
        width: 1080,
        height: 400,
        bar: {
            groupWidth: "55%"
        },
        chartArea: {
            height: 300,
            left: 32,
            top: 40,
            width: 990,
        },
        legend: {
            position: "none",
            alignment: "end",
            color: "#d2f13f",
            textStyle: {
                color: "#999"
            }
        },
        hAxis: {
            //        direction:1,
            //        slantedText:true,
            //        slantedTextAngle:90
        },
        vAxis: {
            title: 'No of Cases'
        }
    };
    var chart = new google.visualization.ColumnChart(document.getElementById("ageWiseChildAssisted"));
    chart.draw(view, options);
}



var coulmns5 = [];
for (let i = 0; i < reportDispData.reports.length; i++) {
    if (reportDispData.reports[i].reportname == "Top5 States") {
        //forming data
        var colnames5 = reportDispData.reports[i].reportingcolumns.split(",");
        var elements5 = [colnames5[0], colnames5[1]];
        coulmns5.push(elements5);
        if (reportDispData.reports[i].data != null) {
            for (let j = 0; j < reportDispData.reports[i].data.length; j++) {


                var col51 = reportDispData.reports[i].data[j][coulmns5[0][0]]
                var col52 = reportDispData.reports[i].data[j][coulmns5[0][1]]

                coulmns5.push([col51, col52]);
            }
        }
    }
}

google.charts.load('current', {
    packages: ['corechart', 'bar']
});
google.charts.setOnLoadCallback(drawBasic);

function drawBasic() {

    var data5 = google.visualization.arrayToDataTable(coulmns5);
    var view5 = new google.visualization.DataView(data5);
    view5.setColumns([0, 1,
        {
            calc: "stringify",
            sourceColumn: 1,
            type: "string",
            role: "annotation"
        }
    ]);
    var options5 = {
        title: '',
        chartArea: {
            width: '62%'
        },
        hAxis: {
            title: 'No. of cases',
            minValue: 0
        },
        vAxis: {
            title: 'States'
        },
        width: '460',


        height: '300'
    };

    var chart5 = new google.visualization.BarChart(document.getElementById('stateBarChart'));

    chart5.draw(view5, options5);
}

var coulmns6 = [];
for (let i = 0; i < reportDispData.reports.length; i++) {
    if (reportDispData.reports[i].reportname == "Top5 Districts") {
        //forming data
        var colnames6 = reportDispData.reports[i].reportingcolumns.split(",");
        var elements6 = [colnames6[0], colnames6[1]];
        coulmns6.push(elements6);
        if (reportDispData.reports[i].data != null) {
            for (let j = 0; j < reportDispData.reports[i].data.length; j++) {


                var col61 = reportDispData.reports[i].data[j][coulmns6[0][0]]
                var col62 = reportDispData.reports[i].data[j][coulmns6[0][1]]

                coulmns6.push([col61, col62]);
            }
        }
    }
}

google.charts.load('current', {
    packages: ['corechart', 'bar']
});
google.charts.setOnLoadCallback(drawBasic);

function drawBasic() {

    var data6 = google.visualization.arrayToDataTable(coulmns6);
    var view6 = new google.visualization.DataView(data6);
    view6.setColumns([0, 1,
        {
            calc: "stringify",
            sourceColumn: 1,
            type: "string",
            role: "annotation"
        }
    ]);
    var options6 = {
        title: '',
        width: 1080,
        height: 630,
        chartArea: {
            height: 300,
            left: 32,
            top: 40,
            width: 990,
        },
        bar: {
            groupWidth: "55%"
        },
        legend: {
            position: "none",
            alignment: "end",
            color: "#d2f13f",
            textStyle: {
                color: "#999"
            }
        },
        hAxis: {
            title: 'No. of cases',
            slantedText: true,
            slantedTextAngle: 90,
            // minValue: 0
        },
        vAxis: {
            title: 'Districts'
        },

    };

    var chart6 = new google.visualization.ColumnChart(document.getElementById('districtBarChart'));

    chart6.draw(view6, options6);
}


var coulmns99 = [];
for (let i = 0; i < reportDispData.reports.length; i++) {
    if (reportDispData.reports[i].reportname == "Top5 Primary CP Concerns") {
        //forming data
        var colnames99 = reportDispData.reports[i].reportingcolumns.split(",");
        var elements99 = [colnames99[0], colnames99[1]];
        coulmns99.push(elements99);
        if (reportDispData.reports[i].data != null) {
            for (let j = 0; j < reportDispData.reports[i].data.length; j++) {


                var col991 = reportDispData.reports[i].data[j][coulmns99[0][0]]
                var col992 = reportDispData.reports[i].data[j][coulmns99[0][1]]

                coulmns99.push([col991, col992]);
            }
        }
    }
}


google.charts.load('current', {
    packages: ['corechart', 'bar']
});
google.charts.setOnLoadCallback(drawBasic);

function drawBasic() {

    var data99 = google.visualization.arrayToDataTable(coulmns99);

    var view99 = new google.visualization.DataView(data99);
    view99.setColumns([0, 1,
        {
            calc: "stringify",
            sourceColumn: 1,
            type: "string",
            role: "annotation"
        }
    ]);

    var options99 = {
        title: '',
        chartArea: {
            width: '62%'
        },
        hAxis: {
            title: 'No. of cases',
            minValue: 0
        },
        vAxis: {
            title: ''
        },
        width: '460',
        height: '300'
    };

    var chart99 = new google.visualization.BarChart(document.getElementById('cpConcernTwo'));

    chart99.draw(view99, options99);
}

var coulmns98 = [];
for (let i = 0; i < reportDispData.reports.length; i++) {
    if (reportDispData.reports[i].reportname == "monthly case status") {
        //forming data
        var colnames98 = reportDispData.reports[i].reportingcolumns.split(",");
        var elements98 = ['Case Date in Months', 'Open', 'Closed', 'Not Specified'];
        coulmns98.push(elements98);
        if (reportDispData.reports[i].data != null) {

            var col981 = null;
            var col982 = 0.0;
            var col983 = 0.0;
            var col984 = 0.0;
            for (let db = 0; db < reportDispData.reports[i].data.length; db++) {
                if (!(reportDispData.reports[i].data[db].Case_Status == col981) && col981 != null) {

                    coulmns98.push([col981, col982, col983, col984]);

                }

                col981 = reportDispData.reports[i].data[db].Case_Status;
                if (reportDispData.reports[i].data[db].string7 == "Open")
                    col982 = reportDispData.reports[i].data[db].count;
                if (reportDispData.reports[i].data[db].string7 == "Closed")
                    col983 = reportDispData.reports[i].data[db].count;
                if (!(reportDispData.reports[i].data[db].string7 == "Open") && !(reportDispData.reports[i].data[db].string7 == "Closed"))
                    col984 = reportDispData.reports[i].data[db].count;

                if (db == (reportDispData.reports[i].data.length - 1))
                    coulmns98.push([col981, col982, col983, col984]);
            }




        }
    }
}

google.charts.load('current', {
    'packages': ['bar']
});
google.charts.setOnLoadCallback(drawChart);

function drawChart() {

    var data98 = google.visualization.arrayToDataTable(coulmns98);

    var view98 = new google.visualization.DataView(data98);
    view98.setColumns([0, 1,
        {
            calc: "stringify",
            sourceColumn: 1,
            type: "string",
            role: "annotation"
        },
        2, {
            calc: "stringify",
            sourceColumn: 2,
            type: "string",
            role: "annotation"
        },
        3, {
            calc: "stringify",
            sourceColumn: 3,
            type: "string",
            role: "annotation"
        }
    ]);


    var options98 = {
        vAxis: {
            title: 'No of Cases',
            width: 1080,
            height: 300
        },
        legend: {
            position: "top",
            alignment: "end",
            color: "#d2f13f",
            textStyle: {
                color: "#999"
            }
        }

    };

    var chart98 = new google.visualization.ColumnChart(document.getElementById('monthCaseStatus'));

    chart98.draw(view98, options98);
}



var coulmns97 = [];
for (let i = 0; i < reportDispData.reports.length; i++) {
    if (reportDispData.reports[i].reportname == "Monthly genderwise children assisted") {
        //forming data
        //var colnames97 = reportDispData.reports[i].reportingcolumns.split(",");
        var elements97 = ['Case Date in Months', 'Male', 'Female', 'Not Specified', 'Others'];
        coulmns97.push(elements97);
        if (reportDispData.reports[i].data != null) {

            var col971 = null;
            var col972 = 0.0;
            var col973 = 0.0;
            var col974 = 0.0;
            var col975 = 0.0;
            for (let dc = 0; dc < reportDispData.reports[i].data.length; dc++) {
                if (!(reportDispData.reports[i].data[dc].Case_Status == col971) && col971 != null) {

                    coulmns97.push([col971, col972, col973, col974, col975]);

                }

                col971 = reportDispData.reports[i].data[dc].Case_Status;
                if (reportDispData.reports[i].data[dc].string15 == "Male")
                    col972 = reportDispData.reports[i].data[dc].count;
                if (reportDispData.reports[i].data[dc].string15 == "Female")
                    col973 = reportDispData.reports[i].data[dc].count;
                if (reportDispData.reports[i].data[dc].string15 == "Others (Transgender etc)")
                    col975 = reportDispData.reports[i].data[dc].count;
                if (!(reportDispData.reports[i].data[dc].string15 == "Male") && !(reportDispData.reports[i].data[dc].string15 == "Female") && !(reportDispData.reports[i].data[dc].string15 == "Others (Transgender etc)"))
                    col974 = reportDispData.reports[i].data[dc].count;

                if (dc == (reportDispData.reports[i].data.length - 1))
                    coulmns97.push([col971, col972, col973, col974, col975]);
            }




        }
    }
}


google.charts.load('current', {
    'packages': ['bar']
});
google.charts.setOnLoadCallback(drawChart);

function drawChart() {
    //var data = google.visualization.arrayToDataTable(coulmns97);

    var data97 = google.visualization.arrayToDataTable(coulmns97);

    var view97 = new google.visualization.DataView(data97);
    view97.setColumns([0, 1,
        {
            calc: "stringify",
            sourceColumn: 1,
            type: "string",
            role: "annotation"
        },
        2, {
            calc: "stringify",
            sourceColumn: 2,
            type: "string",
            role: "annotation"
        },
        3, {
            calc: "stringify",
            sourceColumn: 3,
            type: "string",
            role: "annotation"
        },
        4, {
            calc: "stringify",
            sourceColumn: 4,
            type: "string",
            role: "annotation"
        }
    ]);

    var options = {
        vAxis: {
            title: 'No of Cases',
            width: 1080,
            height: 300
        },
        legend: {
            position: "top",
            alignment: "end",
            color: "#d2f13f",
            textStyle: {
                color: "#999"
            }
        },
        chart: {
            //            title: 'Company Performance',
            //            subtitle: 'Sales, Expenses, and Profit: 2014-2017',
        }
    };

    var chart = new google.visualization.ColumnChart(document.getElementById('genderWiseStatus'));

    chart.draw(view97, options);
}

var coulmns96 = [];
for (let i = 0; i < reportDispData.reports.length; i++) {
    if (reportDispData.reports[i].reportname == "Number of children assisted for selected period") {
        //forming data
        //var colnames97 = reportDispData.reports[i].reportingcolumns.split(",");
        if (reportDispData.reports[i].data != null) {

            var col961 = null;
            var col962 = 0.0;

            for (let dd = 0; dd < reportDispData.reports[i].data.length; dd++) {

                col961 = reportDispData.reports[i].data[dd].Case_Status;
                col962 = reportDispData.reports[i].data[dd].count;
                coulmns96.push([col961, col962, col962]);
            }
        }
    }
}


google.charts.load('current', {
    'packages': ['corechart', 'line']
});
google.charts.setOnLoadCallback(drawChart);

function drawChart() {

    var data = new google.visualization.DataTable();
    data.addColumn('string', 'Month');
    data.addColumn('number', 'No. of cases');
    data.addColumn({
        type: 'number',
        role: 'annotation'
    });
    data.addRows(coulmns96);

    var linearOptions = {
        title: '',
        legend: 'right',
        width: 1080,
        height: 300,
        fill: true,
        hAxis: {
            title: 'Date 2021'
        },
        vAxis: {
            title: 'No. of cases',
            ticks: [0, 500, 1000, 1500, 2000]
        },
        annotation: {
            1: {
                style: 'none'
            }
        }

    };

    var linearChart = new google.visualization.LineChart(document.getElementById('numChildAssisted'));
    linearChart.draw(data, linearOptions);
}

$(function() {

    'use strict';

    var coulmns2 = [];
    for (let i = 0; i < reportDispData.reports.length; i++) {
        if (reportDispData.reports[i].reportname == "Primary CP Concernwise Children Assisted(Percentage)") { //forming data
            var colnames2 = reportDispData.reports[i].reportingcolumns.split(",");
            var elements2 = [colnames2[0], colnames2[1]];
            coulmns2.push(elements2);
            if (reportDispData.reports[i].data != null) {
                for (let j = 0; j < reportDispData.reports[i].data.length; j++) {


                    var col21 = reportDispData.reports[i].data[j][coulmns2[0][0]]
                    var col22 = reportDispData.reports[i].data[j][coulmns2[0][1]]

                    coulmns2.push([col21, col22]);
                }
            }
        }
    }


    google.charts.load("current", {
        packages: ["corechart"]
    });
    google.charts.setOnLoadCallback(drawChart);

    function drawChart() {
        var data2 = google.visualization.arrayToDataTable(coulmns2);

        var view22 = new google.visualization.DataView(data2);
        view22.setColumns([0, 1,
            {
                calc: "stringify",
                sourceColumn: 1,
                type: "string",
                role: "annotation"
            }
        ]);


        var options222 = {
            title: "",
            width: 1080,
            height: 630,
            chartArea: {
                height: 300,
                left: 32,
                top: 40,
                right: 32,
                //width: 990,        
            },
            bar: {
                groupWidth: "55%"
            },
            legend: {
                position: "none",
                alignment: "end",
                color: "#d2f13f",
                textStyle: {
                    color: "#999"
                }
            },
            hAxis: {
                //        direction:1,
                slantedText: true,
                slantedTextAngle: 90
            },
            vAxis: {
                title: 'No of Cases'
            }
        };
        var chart2 = new google.visualization.ColumnChart(document.getElementById('cpConcerWisePie'));
        chart2.draw(view22, options222);
    }
});

$(function() {

    'use strict';


    var coulmns1 = [];
    for (i = 0; i < reportDispData.reports.length; i++) {
        if (reportDispData.reports[i].reportname == "Genderwise Children Assisted") { //forming data
            var colnames1 = reportDispData.reports[i].reportingcolumns.split(",");
            var elements1 = [colnames1[0], colnames1[1]];
            coulmns1.push(elements1);
            if (reportDispData.reports[i].data != null) {
                for (let j = 0; j < reportDispData.reports[i].data.length; j++) {


                    var col11 = reportDispData.reports[i].data[j][coulmns1[0][0]]
                    var col12 = reportDispData.reports[i].data[j][coulmns1[0][1]]

                    coulmns1.push([col11, col12]);
                }
            }
        }
    }


    google.charts.load("current", {
        packages: ["corechart"]
    });
    google.charts.setOnLoadCallback(drawChart);

    function drawChart() {
        var data1 = google.visualization.arrayToDataTable(coulmns1);

        var options1 = {
            // title: 'My Daily Activities',
            colors: ['#db9ada', '#b4db7d', '#6697d4', '#a1182a', '#4bbf4b', '#7d42bd', '#0ac43f', '#e86a09', '#0af05a'],
            legend: {
                position: 'none',
                labels: {
                    //fontColor: "white",
                    boxWidth: 20,
                    padding: 20
                }
            },
            is3D: true,
            chartArea: {
                left: 0,
                right: 0,
                //	bottom: 50,
                width: '90%',
                height: '300',

            },

        };
        var options1 = {
            'title': '',
            width: '90%',
            left: 0,
            right: 0,

            'height': 300
        };
        var chart1 = new google.visualization.PieChart(document.getElementById('genderwisePie'));
        chart1.draw(data1, options1);
    }
});

$(document).ready(function() {
    $('.datepickerYear').datepicker({
        format: 'yyyy',
        viewMode: "years",
        minViewMode: "years",
        autoclose: true,
        changeMonth: true,
        changeYear: true,
        minDate: "2000-01-01",
        showButtonPanel: true,
        autoclose: true,
        prevText: '<i class="fa fa-chevron-left"></i>',
        nextText: '<i class="fa fa-chevron-right"></i>',
        orientation: "bottom auto"
    });
    $('.datepickerMonthYear').datepicker({
        format: "mm-yyyy",
        startView: "months",
        minViewMode: "months"
    });
    $('.datepicker').datepicker({
        format: 'dd/mm/yyyy',
        autoclose: true,
        changeMonth: true,
        changeYear: true,
        minDate: "2000-01-01",
        showButtonPanel: true,
        autoclose: true,
        prevText: '<i class="fa fa-chevron-left"></i>',
        nextText: '<i class="fa fa-chevron-right"></i>',
        orientation: "bottom auto"
    });
});

$("#closeFilter").click(function() {
    if (jQuery('.demo_changer').hasClass("active")) {
        jQuery('.demo_changer').animate({
            "right": "-625px"
        }, function() {
            jQuery('.demo_changer').toggleClass("active");
        });
    } else {
        jQuery('.demo_changer').animate({
            "right": "0px"
        }, function() {
            jQuery('.demo_changer').toggleClass("active");
        });
    }
});
/* $('#zone').multipleSelect({
    click: function (view) {
        alert('onClick event fire! view: ' + JSON.stringify(view) + '\n');
     }
}); */




if (reportDispData != null) {
    var colshead = [];
    for (var i = 0; i < reportDispData.reports.length; i++) {
        if (reportDispData.reports[i].reportname == "Awaiting CaseID CIF") {
            document.getElementById("awaitingCaseIDCIF").innerHTML = Number(reportDispData.reports[i].data[0].count).toLocaleString();
        }


        if (reportDispData.reports[i].reportname == "Closed Cases") {
            document.getElementById("closedCases").innerHTML = Number(reportDispData.reports[i].data[0].count).toLocaleString();
        }
        if (reportDispData.reports[i].reportname == "NCL") {
            document.getElementById("ncl").innerHTML = Number(reportDispData.reports[i].data[0].count).toLocaleString();
        }
        if (reportDispData.reports[i].reportname == "Open Cases") {
            document.getElementById("openCases").innerHTML = Number(reportDispData.reports[i].data[0].count).toLocaleString();
        }
        if (reportDispData.reports[i].reportname == "States and UTs") {
            document.getElementById("statesAndUTs").innerHTML = Number(reportDispData.reports[i].data[0].count).toLocaleString();
        }

        if (reportDispData.reports[i].reportname == "Total Cases") {
            document.getElementById("totalCases").innerHTML = Number(reportDispData.reports[i].data[0].count).toLocaleString();
        }

        if (reportDispData.reports[i].reportname == "Total Partners") {
            document.getElementById("totalPartners").innerHTML = Number(reportDispData.reports[i].data[0].count).toLocaleString();
        }

        if (reportDispData.reports[i].reportname == "PartnerList") {
            var dataresp = reportDispData.reports[i].data;
            bindMultipleSelect('partnerOrg', dataresp, 'string46');


        }
        if (reportDispData.reports[i].reportname == "zone list") {
            var dataresp = reportDispData.reports[i].data;
            initselect('zone', dataresp, 'string26')

        }
        if (reportDispData.reports[i].reportname == "state list") {
            var dataresp = reportDispData.reports[i].data;
            initselect('state', dataresp, 'string27')



        }
        if (reportDispData.reports[i].reportname == "district list") {
            var dataresp = reportDispData.reports[i].data;
            initselect('selectDistrict', dataresp, 'string28')



        }
        if (reportDispData.reports[i].reportname == "CP Concern list") {
            var dataresp = reportDispData.reports[i].data;
            initselect('cpConcern', dataresp, 'string19')



        }
        if (reportDispData.reports[i].reportname == "Case status list") {
            var dataresp = reportDispData.reports[i].data;

            initselect('caseStatus', dataresp, 'string7')


        }
        if (reportDispData.reports[i].reportname == "First Intervention Status list") {
            var dataresp = reportDispData.reports[i].data;
            initselect('firstInterventionStatus', dataresp, 'string24')



        }
        if (reportDispData.reports[i].reportname == "Category of reason list") {
            var dataresp = reportDispData.reports[i].data;

            initselect('categoryOfReason', dataresp, 'string21')


        }
        if (reportDispData.reports[i].reportname == "case intervene by list") {
            var dataresp = reportDispData.reports[i].data;
            initselect('caseintervenedby', dataresp, 'string22')



        }

    }

    if (filterdata != null && filterdata != "" && filterdata != " ") {
        document.getElementById("filterValues").innerHTML = filterdata;

        var strArr = filterdata.split(";");
        for (let xya = 0; xya < strArr.length; xya++) {
            if (strArr[xya].includes("Actual Case Start Date")) {
                var val = strArr[xya].split(":");

                document.getElementById("actualCaseStartDate").value = val;
            }
            if (strArr[xya].includes("Actual Case End Date")) {
                var val = strArr[xya].split(":");

                document.getElementById("actualCaseEndDate").value = val;

            }
            if (strArr[xya].includes("Closing Date")) {
                var val = strArr[xya].split(":");

                document.getElementById("closingdate").value = val;


            }
            if (strArr[xya].includes("CPConcern")) {
                var val = strArr[xya].split(":");

                var strvalues = val[1].split(",");

                if (strvalues.length >= 1) {
                    console.log(strvalues);
                    setselectedvalues('cpConcern', strvalues);
                }


            }
            if (strArr[xya].includes("Case Status")) {
                var val = strArr[xya].split(":");

                var strvalues = val[1].split(",");

                if (strvalues.length >= 1) {
                    console.log(strvalues);
                    setselectedvalues('caseStatus', strvalues);
                }


            }
            if (strArr[xya].includes("Partner Organization")) {
                var val = strArr[xya].split(":");

                var strvalues = val[1].split(",");

                if (strvalues.length >= 1) {
                    console.log(strvalues);
                    setselectedvalues('partnerOrg', strvalues);
                }


            }

            if (strArr[xya].includes("Zone")) {
                var val = strArr[xya].split(":");

                var strvalues = val[1].split(",");

                if (strvalues.length >= 1) {
                    console.log(strvalues);
                    setselectedvalues('zone', strvalues);
                }


            }

            if (strArr[xya].includes("State")) {
                var val = strArr[xya].split(":");

                var strvalues = val[1].split(",");

                if (strvalues.length >= 1) {
                    console.log(strvalues);
                    setselectedvalues('state', strvalues);
                }


            }
            if (strArr[xya].includes("District")) {
                var val = strArr[xya].split(":");

                var strvalues = val[1].split(",");

                if (strvalues.length >= 1) {
                    console.log(strvalues);
                    setselectedvalues('selectDistrict', strvalues);
                }


            }

            if (strArr[xya].includes("Case Intervened By")) {
                var val = strArr[xya].split(":");

                var strvalues = val[1].split(",");

                if (strvalues.length >= 1) {
                    console.log(strvalues);
                    setselectedvalues('caseintervenedby', strvalues);
                }


            }
            if (strArr[xya].includes("Child Gender")) {
                var val = strArr[xya].split(":");

                var strvalues = val[1].split(",");

                if (strvalues.length >= 1) {
                    console.log(strvalues);
                    setselectedvalues('childGender', strvalues);
                }


            }
            if (strArr[xya].includes("Child Age")) {
                var val = strArr[xya].split(":");

                var strvalues = val[1].split(",");

                if (strvalues.length >= 1) {
                    console.log(strvalues);
                    setselectedvalues('childAge', strvalues);
                }


            }
            if (strArr[xya].includes("Reason category")) {
                var val = strArr[xya].split(":");

                var strvalues = val[1].split(",");

                if (strvalues.length >= 1) {
                    console.log(strvalues);
                    setselectedvalues('categoryOfReason', strvalues);
                }


            }
            if (strArr[xya].includes("First Intervention Status")) {
                var val = strArr[xya].split(":");

                var strvalues = val[1].split(",");

                if (strvalues.length >= 1) {
                    console.log(strvalues);
                    setselectedvalues('firstInterventionStatus', strvalues);
                }


            }

        }
        //cpConcern

    }
}

function setselectedvalues(id, strvalues) {
    $('#' + id).val(strvalues).change();
}

function initselect(id, inpdata, value) {
    for (const element of inpdata) {
        $('#' + id).append('<option value="' + element[value] + '">' + element[value] + '</option>');
    }
}

function bindMultipleSelect(id, result, value) {
    $('#' + id).empty();
    for (const element of result) {
        $('#' + id).append('<option value="' + element[value] + '">' + element[value] + '</option>');
    }
    $('#' + id).multipleSelect('refresh');
}

const toDataURL = url => fetch(url)
    .then(response => response.blob())
    .then(blob => new Promise((resolve, reject) => {
        const reader = new FileReader()
        reader.onloadend = () => resolve(reader.result)
        reader.onerror = reject
        reader.readAsDataURL(blob)
    }))



function generatepdf() {
    $.LoadingOverlay("show");
    setTimeout(function() {
        var HTML_Width = $(".print_div").width();
        var canvas_image_height = $(".print_div").height();
        var canvas_image_width = $(".print_div").width();
        var top_left_margin = 15;
        var PDF_Width = HTML_Width + (top_left_margin * 2);
        var PDF_Height = (PDF_Width * 1.5) + (top_left_margin * 2);
        var deferreds = [];
        var doc = new jsPDF('p', 'pt', [PDF_Width, PDF_Height]);
        var elem = null;
        toDataURL('http://uatcap.childlineindia.in/assets/images/background-childline-001.png')
            .then(dataUrl => {
                doc.addImage(dataUrl, 'JPG', top_left_margin, top_left_margin, canvas_image_width, canvas_image_height);
                console.log('RESULT:', dataUrl);
                appendPDF(HTML_Width, canvas_image_height, top_left_margin, PDF_Width, PDF_Height, deferreds, doc, elem);
            });
    }, 150);
}




function generateCanvas(elem, doc, deferred) {
    var canvas_image_width1 = $("#" + elem).width();
    var canvas_image_height1 = $("#" + elem).height();
    var top_left_margin = 15;
    html2canvas(document.getElementById(elem)).then(function(canvas) {
        let imgurl = canvas.toDataURL("images/jpeg", 1);
        doc.addPage();
        doc.addImage(imgurl, 'JPG', top_left_margin, top_left_margin, canvas_image_width1, canvas_image_height1);


        deferred.resolve();
    });
}


function appendPDF(HTML_Width, canvas_image_height, top_left_margin, PDF_Width, PDF_Height, deferreds, doc, elem) {
    $(".print_div").each(function() {
        elem = this.id;
        var deferred = $.Deferred();
        deferreds.push(deferred.promise());
        generateCanvas(elem, doc, deferred);
    });

    $.when.apply($, deferreds).then(function() { // executes after adding all images
        doc.save();
        $.LoadingOverlay("hide");
    });
}

///   New Change Ashwin,Ajit And Chandrakant 

$("#searchYear").change(function() {
    alert("callll ");
    var startDate = $("#searchYear").val();
    var endDate = $("#searchYear").val();
    startDate = Number(startDate) - 1;
    startDate = "20" + startDate + "-04-01";
    endDate = "20" + endDate + "-03-31";

    ajaxCallBack('POST', "./getReportData1?actualStartDate=" + startDate + "&reportname=Childline_Explicit&actualEndDate=" + endDate + "&selectCompanyName='NA'", "", 'json', function(response) {
        if (response !== undefined && response !== null) {
            console.log(response);

            bindPCDashbord(response);
        }
    });
});

function bindPCDashbord(pcPrimaryData) {
    coulmns7 = [];
    for (let i = 0; i < pcPrimaryData.reports.length; i++) {
        console.log("@@@@@@@@  " + pcPrimaryData.reports.length);
        if (pcPrimaryData.reports[i].reportname == "Primary CP Concernwise Children Assisted") { //forming data
            var colnames7 = pcPrimaryData.reports[i].reportingcolumns.split(",");
            var elements7 = [colnames7[0], colnames7[1]];
            coulmns7.push(elements7);
            if (pcPrimaryData.reports[i].data != null) {
                for (let j = 0; j < pcPrimaryData.reports[i].data.length; j++) {


                    var col71 = pcPrimaryData.reports[i].data[j][coulmns7[0][0]]
                    var col72 = pcPrimaryData.reports[i].data[j][coulmns7[0][1]]

                    coulmns7.push([col71, col72]);
                }
            }
        }
    }
    google.charts.load("current", {
        packages: ['corechart']
    });
    google.charts.setOnLoadCallback(drawChart);

}